FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2023 PLD Team
$Revision: 1.37 $
Powered by matrix.
Your IP: 3.93.74.25

php-pecl-redis 2be37609-6ed3-4af6-a345-c82857657bd8

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/php-pecl-redis,2be37609-6ed3-4af6-a345-c82857657bd8.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2022/10/20 14:28:38
Runtime:0:00:00.292429

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • rpm: error: Failed build dependencies:
  • error 4
  • error: Failed build dependencies:
  • error 5
  • error: No files produced.

Content:

request from: glen
checking if we should skip the build
started at: Thu Oct 20 14:28:19 2022
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/2be37609-6ed3-4af6-a345-c82857657bd8/php56-pecl-redis-5.3.7-1.src.rpm
fetched 339244 bytes, 1015.0 K/s
installing srpm: php56-pecl-redis-5.3.7-1.src.rpm
+ install -d /tmp/B.ndpoqf0f/BUILD /tmp/B.ndpoqf0f/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog php56-pecl-redis-5.3.7-1.src.rpm
* Thu Oct 20 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-redis.git;a=log;h=master
* Thu Sep 29 2022 Elan Ruusamäe <glen@pld-linux.org> 1304520
- Up to 5.3.7 * Mon Dec 27 2021 Elan Ruusamäe <glen@pld-linux.org> b976dfe
- Update ext-json built static on php 8.0 * Mon Dec 27 2021 Elan Ruusamäe <glen@pld-linux.org> 9e07607
- Up to 5.3.5 * Tue Dec 15 2020 Elan Ruusamäe <glen@pld-linux.org> baa14fb
- Use numeric index for ini config * Tue Dec 15 2020 Elan Ruusamäe <glen@pld-linux.org> 8495acf
- Up to 5.3.2 * Tue Dec 15 2020 Elan Ruusamäe <glen@pld-linux.org> ff8be43
- Rename to php-pecl-redis * Sat Nov 09 2019 Elan Ruusamäe <glen@pld-linux.org> f695dc2
- Requires json extension now * Sat Nov 09 2019 Elan Ruusamäe <glen@pld-linux.org> 0758420
- up to 5.1.0, php5 support is removed; enable redis-zstd * Sat Nov 09 2019 Elan Ruusamäe <glen@pld-linux.org> 4058d4d
- Up to 4.3.0, last version with php5 support * Mon Dec 10 2018 Elan Ruusamäe <glen@pld-linux.org> 24c6c49
- add logic to run project test suite * Mon Dec 10 2018 Elan Ruusamäe <glen@pld-linux.org> a56ffbc
- always run module load test * Mon Dec 10 2018 Elan Ruusamäe <glen@pld-linux.org> 303e815
- subpackage phpdoc * Mon Dec 10 2018 Elan Ruusamäe <glen@pld-linux.org> 7345c0d
- update phpdoc to latest (9ec1795) * Tue Nov 20 2018 Adam Gołębiowski <adamg@pld-linux.org> 163e049
- updated to 4.2.0 * Tue Oct 02 2018 Adam Gołębiowski <adamg@pld-linux.org> f2c23d8
- updated to 3.1.6 * Sat Nov 04 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c61b27e
- rel 2; just BR cli * Sat Nov 04 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> bc808e4
- up to 3.1.4 * Wed Jun 11 2014 Elan Ruusamäe <glen@delfi.ee> fd0294e
- fix self-test * Wed Jun 11 2014 Elan Ruusamäe <glen@delfi.ee> 12140a3
- update phpdoc to latest * Fri May 23 2014 Elan Ruusamäe <glen@delfi.ee> 54d79b3
- provide versioned php extension dep + rpm -Uhv --nodeps --define '_topdir /tmp/B.ndpoqf0f' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --define 'php_suffix 56' php56-pecl-redis-5.3.7-1.src.rpm Updating / installing... php56-pecl-redis-5.3.7-1 ######################################## + rm -f php56-pecl-redis-5.3.7-1.src.rpm + install -m 700 -d /tmp/B.ndpoqf0f/BUILD/tmp + TMPDIR=/tmp/B.ndpoqf0f/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.ndpoqf0f' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'php_suffix 56' --define 'prep exit 0' /tmp/B.ndpoqf0f/php-pecl-redis.spec sh: php-config: inaccessible or not found warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux RPM build warnings: Could not canonicalize hostname: ymir checking BuildConflict-ing packages rpm: sh: php-config: inaccessible or not found rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: php56-cli is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-devel >= 4:7.0 is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-json is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-pcre is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-session is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-simplexml is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir no BuildConflicts found checking BR rpm: sh: php-config: inaccessible or not found rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: php56-cli is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-devel >= 4:7.0 is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-json is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-pcre is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-session is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-simplexml is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 35551 packages read poldek: Removed 5451 duplicate packages from available set poldek: Processing dependencies... poldek: php56-pcre-5.6.40-18.x86_64 marks php56-common-5.6.40-18.x86_64 (cap php56-common = 4:5.6.40-18) poldek: php56-simplexml-5.6.40-18.x86_64 marks php56-spl-5.6.40-18.x86_64 (cap php56-spl = 4:5.6.40-18) poldek: There are 8 packages to install (2 marked by dependencies): poldek: A php56-cli-5.6.40-18.x86_64 php56-common-5.6.40-18.x86_64 poldek: A php56-devel-5.6.40-18.x86_64 php56-json-5.6.40-18.x86_64 poldek: A php56-pcre-5.6.40-18.x86_64 php56-session-5.6.40-18.x86_64 poldek: A php56-simplexml-5.6.40-18.x86_64 php56-spl-5.6.40-18.x86_64 poldek: This operation will use 8.6MB of disk space. poldek: Need to get 1.9MB of archives (1.9MB to download). poldek: poldek: Retrieving [1/8] th-test::php56-common-5.6.40-18.x86_64.rpm................................done poldek: Retrieving [2/8] th-test::php56-cli-5.6.40-18.x86_64.rpm...................................done poldek: Retrieving [3/8] th-test::php56-devel-5.6.40-18.x86_64.rpm.................................done poldek: Retrieving [4/8] th-test::php56-json-5.6.40-18.x86_64.rpm..................................done poldek: Retrieving [5/8] th-test::php56-pcre-5.6.40-18.x86_64.rpm..................................done poldek: Retrieving [6/8] th-test::php56-simplexml-5.6.40-18.x86_64.rpm..............................done poldek: Retrieving [7/8] th-test::php56-spl-5.6.40-18.x86_64.rpm...................................done poldek: Retrieving [8/8] th-test::php56-session-5.6.40-18.x86_64.rpm...............................done poldek: php56-common-5.6.40-18.x86_64.rpm: digests OK poldek: php56-cli-5.6.40-18.x86_64.rpm: digests OK poldek: php56-devel-5.6.40-18.x86_64.rpm: digests OK poldek: php56-json-5.6.40-18.x86_64.rpm: digests OK poldek: php56-pcre-5.6.40-18.x86_64.rpm: digests OK poldek: php56-simplexml-5.6.40-18.x86_64.rpm: digests OK poldek: php56-spl-5.6.40-18.x86_64.rpm: digests OK poldek: php56-session-5.6.40-18.x86_64.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: Verifying... ######################################## poldek: Preparing... ######################################## no conflicts found checking BR rpm: sh: php-config: inaccessible or not found rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: php56-cli is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-devel >= 4:7.0 is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-json is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-pcre is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-session is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: php56-simplexml is needed by php56-pecl-redis-5.3.7-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir installing BR: php56\-cli php56\-devel php56\-json php56\-pcre php56\-session php56\-simplexml + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php53-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' '--ignore=php81-*' '--ignore=php82-*' --upgrade php56-cli php56-devel php56-json php56-pcre php56-session php56-simplexml Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 35551 packages read Removed 5451 duplicate packages from available set Processing dependencies... php56-pcre-5.6.40-18.x86_64 marks php56-common-5.6.40-18.x86_64 (cap php56-common = 4:5.6.40-18) php56-session-5.6.40-18.x86_64 marks php56-spl-5.6.40-18.x86_64 (cap php56-spl = 4:5.6.40-18) There are 8 packages to install (2 marked by dependencies): A php56-cli-5.6.40-18.x86_64 php56-common-5.6.40-18.x86_64 A php56-devel-5.6.40-18.x86_64 php56-json-5.6.40-18.x86_64 A php56-pcre-5.6.40-18.x86_64 php56-session-5.6.40-18.x86_64 A php56-simplexml-5.6.40-18.x86_64 php56-spl-5.6.40-18.x86_64 This operation will use 8.6MB of disk space. php56-pcre-5.6.40-18.x86_64.rpm: digests OK php56-cli-5.6.40-18.x86_64.rpm: digests OK php56-devel-5.6.40-18.x86_64.rpm: digests OK php56-json-5.6.40-18.x86_64.rpm: digests OK php56-session-5.6.40-18.x86_64.rpm: digests OK php56-simplexml-5.6.40-18.x86_64.rpm: digests OK php56-common-5.6.40-18.x86_64.rpm: digests OK php56-spl-5.6.40-18.x86_64.rpm: digests OK Need to get 1.9MB of archives. php56-common-5.6.40-18.x86_64.rpm: digests OK php56-cli-5.6.40-18.x86_64.rpm: digests OK php56-devel-5.6.40-18.x86_64.rpm: digests OK php56-json-5.6.40-18.x86_64.rpm: digests OK php56-pcre-5.6.40-18.x86_64.rpm: digests OK php56-simplexml-5.6.40-18.x86_64.rpm: digests OK php56-spl-5.6.40-18.x86_64.rpm: digests OK php56-session-5.6.40-18.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... Verifying... ######################################## Preparing... ######################################## Updating / installing... php56-common-4:5.6.40-18 ######################################## php56-pcre-4:5.6.40-18 ######################################## php56-simplexml-4:5.6.40-18 ######################################## php56-spl-4:5.6.40-18 ######################################## php56-session-4:5.6.40-18 ######################################## php56-cli-4:5.6.40-18 ######################################## php56-devel-4:5.6.40-18 ######################################## php56-json-4:5.6.40-18 ######################################## building RPM using: set -ex; : build-id: 2be37609-6ed3-4af6-a345-c82857657bd8; TMPDIR=/tmp/B.ndpoqf0f/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.ndpoqf0f' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'php_suffix 56' /tmp/B.ndpoqf0f/php-pecl-redis.spec + : build-id: 2be37609-6ed3-4af6-a345-c82857657bd8 + TMPDIR=/tmp/B.ndpoqf0f/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.ndpoqf0f' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'php_suffix 56' /tmp/B.ndpoqf0f/php-pecl-redis.spec warning: Could not canonicalize hostname: ymir error: Failed build dependencies: php56-devel >= 4:7.0 is needed by php56-pecl-redis-5.3.7-1.x86_64 Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux RPM build warnings: Could not canonicalize hostname: ymir ended at: Thu Oct 20 14:28:38 2022, done in 0:00:00.292429 error: No files produced. + chmod -R u+rwX /tmp/B.ndpoqf0f/BUILD + rm -rf /tmp/B.ndpoqf0f/tmp /tmp/B.ndpoqf0f/BUILD + rm -rf /tmp/B.ndpoqf0f Begin-PLD-Builder-Info Build-Time: user:9.44s sys:4.52s real:19.38s (faults io:29 non-io:773490) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]